jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ben Vanberg <b...@soundstrue.com>
Subject Build Question
Date Fri, 03 Apr 2009 20:50:17 GMT
Hello, I¹ve been building the 1.6-SNAPSHOT code lately and would like to
generate javadocs.  However, mvn javadoc:javadoc results in errors due to
the build using <source>1.4</source> for maven-javadoc-plugin in
jackrabbit-parent/pom.xml. I assume jackrabbit developers/CI are generating
these javadocs so perhaps you have a workaround for this issue. Any ideas?

Thanks,

Ben.

Maven build output:
19 errors
[INFO] 
------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] 
------------------------------------------------------------------------
[INFO] An error has occurred in JavaDocs report generation:Exit code: 1 -
/code/jackrabbit/jackrabbit-ocm/src/main/java/org/apache/jackrabbit/ocm/mana
ger/collectionconverter/impl/DefaultCollectionConverterImpl.java:155:
for-each loops are not supported in -source 1.4
(try -source 1.5 to enable for-each loops)
        for (Object key : map.keySet())
                                ^
/code/jackrabbit/jackrabbit-ocm/src/main/java/org/apache/jackrabbit/ocm/mana
ger/collectionconverter/impl/DefaultCollectionConverterImpl.java:217:
generics are not supported in -source 1.4
(try -source 1.5 to enable generics)
        List<String> validUuidsForTheNode = new ArrayList<String>();
            ^
/code/jackrabbit/jackrabbit-ocm/src/main/java/org/apache/jackrabbit/ocm/mana
ger/objectconverter/impl/BeanLazyLoader.java:34: generics are not supported
in -source 1.4
(try -source 1.5 to enable generics)
    private volatile Class<?> beanClass;
                              ^
/code/jackrabbit/jackrabbit-ocm/src/main/java/org/apache/jackrabbit/ocm/mana
ger/objectconverter/impl/BeanLazyLoader.java:48: annotations are not
supported in -source 1.4
(try -source 1.5 to enable annotations)
    @Override
         ^
/code/jackrabbit/jackrabbit-ocm/src/main/java/org/apache/jackrabbit/ocm/mana
ger/objectconverter/impl/CollectionLazyLoader.java:33: generics are not
supported in -source 1.4
(try -source 1.5 to enable generics)
    private Class<?> collectionFieldClass;
                     ^
/code/jackrabbit/jackrabbit-ocm/src/main/java/org/apache/jackrabbit/ocm/mana
ger/objectconverter/impl/CollectionLazyLoader.java:44: annotations are not
supported in -source 1.4
(try -source 1.5 to enable annotations)
    @Override
Etc...


Mime
View raw message